# Uses of Interface
org.eclipse.ui.commands.ICategory

Packages that use ICategory
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of ICategory in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return ICategory
Modifier and Type
Method
Description
`ICategory`
CategoryEvent.`getCategory()`
Deprecated.
`ICategory`
ICommandManager.`getCategory(String categoryId)`
Deprecated.
Constructors in org.eclipse.ui.commands with parameters of type ICategory
Modifier
Constructor
Description
``
`CategoryEvent(ICategory category, boolean definedChanged, boolean nameChanged)`
Deprecated.